#include <EditConstants.au3>
#include <WindowsConstants.au3>
#include <GUIConstantsEx.au3>
#include <Date.au3>
#include "Chatbox.au3"
$hGui = GUICreate('Chatbox Beispiel', 600, 640, -1, -1, BitOR($GUI_SS_DEFAULT_GUI, $WS_SIZEBOX))
$hChat = _Chatbox_Create($hGui, 10, 10, 580, 420, 0xffffaa, @ScriptDir & '\Chatlog.html')
GUICtrlCreateLabel('Ab hier knnen zwei Benutzereingaben simuliert werden:', 10, 450, 580, 20)
GUICtrlSetFont(-1, 12)
GUICtrlCreateLabel('User1', 10, 485, 60, 20)
$hSmiley1 = GUICtrlCreateButton('Smiley auswhlen', 70, 480, 100, 18)
$hUser1 = GUICtrlCreateInput('', 10, 500, 540, 20)
$hEnter1 = GUICtrlCreateButton('send', 550, 500, 40, 20)
GUICtrlCreateLabel('User2', 10, 545, 60, 20)
$hSmiley2 = GUICtrlCreateButton('Smiley auswhlen', 70, 540, 100, 18)
$hUser2 = GUICtrlCreateInput('', 10, 560, 540, 20)
$hEnter2 = GUICtrlCreateButton('send', 550, 560, 40, 20)
$hReadText = GUICtrlCreateButton('Text auslesen', 190, 600, 100, 25)
$hReadHTML = GUICtrlCreateButton('HTML auslesen', 310, 600, 100, 25)
GUISetState()
_Chatbox_SetData($hChat, 'BB-Code-Untersttzung: b, i, u, hr, size und color', 0x000000, 5)
_Chatbox_SetData($hChat, '[b]fett[/b], [i]kursiv[/i] und [u]unterstrichen[/u] ist mglich', 0x000088, 4)
_Chatbox_SetData($hChat, 'Normale Schrift und [size="6"]groe Schrift[/size] und wieder normal', 0x880000, 3)
_Chatbox_SetData($hChat, 'man [color=#3344ff]kann[/color] den [color=#ff55aa]Text[/color] auch [color=#66aa00]farbig[/color] gestalten', 0x000000, 4)
_Chatbox_SetData($hChat, 'Hyperlinks: www.blabla.de und EMail-Adressen: test@blabla.de sind anklickbar', 0x000000, 3)
_Chatbox_SetData($hChat, 'Die Schriftart lsst sich ndern. Diese Zeile in "Times New Roman"', 0x000000, 4, 'Times New Roman')
_Chatbox_SetData($hChat, 'Die Schriftart lsst sich mit face auch [i][face="Arial"]innerhalb der Zeile[/face][/i] ndern.', 0x0000FF, 4, 'Times New Roman')
_Chatbox_SetData($hChat, 'Horizontale Linien sind mit dem BB-Code "hr" mglich:[hr]', 0x000000, 3)
_Chatbox_SetData($hChat, 'Text-Smilies werden in PNG-Smilies umgewandelt:', 0x000000, 3)
_Chatbox_SetData($hChat, ':-) ;-) :-D :-/ :-( :-o :-p :angry: :cool: :cry: :kiss: :love: :mute: :shame: :sick: :sleep: :wacko: :yum:', 0x000000, 5, 'Arial', 19)
GUICtrlSetState($hUser1, $GUI_FOCUS)
GUICtrlSetState($hEnter1, $GUI_DEFBUTTON)

While True
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			Exit
		Case $hSmiley1
			_Chatbox_SmileyToText($hUser1, '', -1, -1, $hGui)
			GUICtrlSetState($hUser1, $GUI_FOCUS)
			GUICtrlSetState($hEnter1, $GUI_DEFBUTTON)
		Case $hSmiley2
			_Chatbox_SmileyToText($hUser2, '', -1, -1, $hGui)
			GUICtrlSetState($hUser2, $GUI_FOCUS)
			GUICtrlSetState($hEnter2, $GUI_DEFBUTTON)
		Case $hEnter1
			_Chatbox_SetData($hChat, '[b][' & _Now() & '] User1:[/b] ' & GUICtrlRead($hUser1), 0xff0000, 2)
			GUICtrlSetData($hUser1, '')
			GUICtrlSetState($hUser1, $GUI_FOCUS)
			GUICtrlSetState($hEnter1, $GUI_DEFBUTTON)
		Case $hEnter2
			_Chatbox_SetData($hChat, '[b][' & _Now() & '] User2:[/b] ' & GUICtrlRead($hUser2), 0x0000ff, 2)
			GUICtrlSetData($hUser2, '')
			GUICtrlSetState($hUser2, $GUI_FOCUS)
			GUICtrlSetState($hEnter2, $GUI_DEFBUTTON)
		Case $hReadText
			MsgBox(0, 'Chatbox als Text', _Chatbox_ReadText($hChat))
		Case $hReadHTML
			MsgBox(0, 'Chatbox als HTML', _Chatbox_ReadHTML($hChat))
	EndSwitch
WEnd
